Page MenuHomePhabricator

1.32.0-wmf.2 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.2
Release Date
1525046400

2018 week 18 1.32-wmf.2 Changes wmf/1.32.0-wmf.2

This MediaWiki Train Deployment is scheduled for the week of Monday, April 30th:

Monday April 30thTuesday, May 1stWednesday, May 2ndThursday, May 3rdFriday
SWAT deployments only.Branch wmf.2 and deploy to Group 0 Wikis.Deploy wmf.2 to Group 1 Wikis.Deploy wmf.2 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.2 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.1
Next: 1.32.0-wmf.3

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:16 PM
greg assigned this task to demon.Apr 24 2018, 11:15 PM
greg added a comment.Apr 26 2018, 4:44 PM

FYI, T189552 is happening on Wednesday May 2nd with overlap with the train but the complications were not deemed blocking worthy (iow: no need to stop the train).

greg closed this task as Resolved.May 7 2018, 10:39 PM